Subject: [lamps] Need SHAKE text strings, add to draft-ietf-lamps-pkix-shake?

From: Sean Leonard <[email-masked]>
Date: Wed, 3 Apr 2019 21:48:02 -0700

I have a need to identify SHAKE128 and SHAKE256 algorithms by text strings.

There is an IANA registry aptly named “Hash Function Textual Names”: 
<https://www.iana.org/assignments/hash-function-text-names/hash-function-text-names.xhtml>.

I request the following change to draft-ietf-lamps-pkix-shake:

Change 6. IANA Considerations to read:

~~~

    IANA is directed to update the Hash Function Textual Names
    registry [RFC8122] with two additional entries for SHAKE128
    and SHAKE256. Table 1 contains the new values of this registry.

        +--------------------+-------------------------+-----------+
        | Hash Function Name |          OID            | Reference |
        +--------------------+-------------------------+-----------+
        |     "shake256"     | 2.16.840.1.101.3.4.2.11 |  [THIS]   |
        |     "shake512"     | 2.16.840.1.101.3.4.2.12 |  [THIS]   |
        +--------------------+-------------------------+-----------+

             Table 1: IANA Hash Function Textual Names Registry

~~~

Furthermore, RFC 8122 says that the registering Standards Track RFC has 
to update RFC 3279. So, the status of draft-ietf-lamps-pkix-shake is 
supposed to be changed to Updates: RFC 3279.

Thank you,

Sean

---

From: "Panos Kampanakis (pkampana)" <[email-masked]>
Date: Thu, 4 Apr 2019 14:50:03 +0000

Hi Sean,

> I have a need to identify SHAKE128 and SHAKE256 algorithms by text strings. 

The OIDs for SHAKEs are defined by NIST https://csrc.nist.gov/projects/computer-security-objects-register/algorithm-registration#Hash That, along with the new OIDs in the draft-ietf-lamps-pkix-shake draft, are enough for introducing SHAKEs in X.509 which is what this draft is doing. 

Does your need relate to PKIX at all? 

Rgs,
Panos

-----Original Message-----
From: Spasm <[email-masked]> On Behalf Of Sean Leonard
Sent: Thursday, April 04, 2019 12:48 AM
To: SPASM <[email-masked]>
Subject: [lamps] Need SHAKE text strings, add to draft-ietf-lamps-pkix-shake?

~~~

~~~

Furthermore, RFC 8122 says that the registering Standards Track RFC has to update RFC 3279. So, the status of draft-ietf-lamps-pkix-shake is supposed to be changed to Updates: RFC 3279.

Thank you,

Sean

_______________________________________________
Spasm mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/spasm

---

From: Sean Leonard <[email-masked]>
Date: Thu, 4 Apr 2019 10:11:40 -0700

Hi Panos,

> Does your need relate to PKIX at all?

Yes, and no. The need relates to protocols that depend on PKIX.

RFC 8122 is "Connection-Oriented Media Transport over the Transport 
Layer Security (TLS) Protocol in the Session Description Protocol 
(SDP)". So basically it is SDP, and is a product of the MMUSIC WG (in ART).

Sometimes people need to identify hash algorithms with text strings. RFC 
8122 (obsoletes RFC 4572) defines such a registry. No need to reinvent 
the wheel.

There is no change to OIDs. The textual registration requires that the 
OIDs already be allocated for identification.

The alternate plan is to draft a Standards Track RFC specifically for 
the purpose of making the textual registration, referring to 
draft-ietf-lamps-pkix-shake. That seems like unnecessary work, but I 
will do it if that is what is required.

Best regards,

Sean

---

From: "Panos Kampanakis (pkampana)" <[email-masked]>
Date: Mon, 8 Apr 2019 14:21:31 +0000

Thanks Sean. 
I updated the draft to accommodate your comment. The commit that addresses it is here https://github.com/csosto-pk/adding-shake-to-pkix/commit/b67c4641172f671b271ecec02f46cde2b9205b23 

I will reupload the draft at the end of this week probably unless there are more comments while in IESG review. 

Panos

-----Original Message-----
From: Spasm <[email-masked]> On Behalf Of Sean Leonard
Sent: Thursday, April 04, 2019 1:12 PM
To: Panos Kampanakis (pkampana) <[email-masked]>; SPASM <[email-masked]>
Subject: Re: [lamps] Need SHAKE text strings, add to draft-ietf-lamps-pkix-shake?

Hi Panos,

RFC 8122 is "Connection-Oriented Media Transport over the Transport Layer Security (TLS) Protocol in the Session Description Protocol (SDP)". So basically it is SDP, and is a product of the MMUSIC WG (in ART).

Sometimes people need to identify hash algorithms with text strings. RFC
8122 (obsoletes RFC 4572) defines such a registry. No need to reinvent the wheel.

There is no change to OIDs. The textual registration requires that the OIDs already be allocated for identification.

The alternate plan is to draft a Standards Track RFC specifically for the purpose of making the textual registration, referring to draft-ietf-lamps-pkix-shake. That seems like unnecessary work, but I will do it if that is what is required.

Best regards,

Sean